API Keys
List API Keys
GET /auth/key
List of API keys currently active in VirtlixCP
Response 200: A list of API Keys
| Field | Type | Description |
|---|---|---|
expires_at |
object | |
expires_at.iso_8601 |
string | IS0 8601-formatted Date |
expires_at.unix |
integer | Seconds since Unix epoch (Unix Timestamp) |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
key |
string | |
name |
string | |
owner |
object | |
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
owner.name |
string | |
owner.url |
string |
Create API Key
POST /auth/key
Create a new API Key
Request body
| Field | Type | Required | Description |
|---|---|---|---|
expires_at |
object | ||
expires_at.iso_8601 |
string | yes | IS0 8601-formatted Date |
expires_at.unix |
integer | yes | Seconds since Unix epoch (Unix Timestamp) |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
key |
string | ||
name |
string | yes | |
owner |
object | ||
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
owner.name |
string | ||
owner.url |
string |
Response 200: An API Key
| Field | Type | Description |
|---|---|---|
expires_at |
object | |
expires_at.iso_8601 |
string | IS0 8601-formatted Date |
expires_at.unix |
integer | Seconds since Unix epoch (Unix Timestamp) |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
key |
string | |
name |
string | |
owner |
object | |
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
owner.name |
string | |
owner.url |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
expires_at |
object | ||
expires_at.iso_8601 |
string | yes | IS0 8601-formatted Date |
expires_at.unix |
integer | yes | Seconds since Unix epoch (Unix Timestamp) |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
key |
string | ||
name |
string | yes | |
owner |
object | ||
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
owner.name |
string | ||
owner.url |
string |
Response 422: Unprocessable Entity
Delete API Key
DELETE /auth/key/{key_id}
Delete an API Key
Response 200: API Key deleted successfully
Response 404: Item not Found
View API Key
GET /auth/key/{key_id}
An API key
Response 200: An API Key
| Field | Type | Description |
|---|---|---|
expires_at |
object | |
expires_at.iso_8601 |
string | IS0 8601-formatted Date |
expires_at.unix |
integer | Seconds since Unix epoch (Unix Timestamp) |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
key |
string | |
name |
string | |
owner |
object | |
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
owner.name |
string | |
owner.url |
string |
Edit API Key
PATCH /auth/key/{key_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
expires_at |
object | ||
expires_at.iso_8601 |
string | yes | IS0 8601-formatted Date |
expires_at.unix |
integer | yes | Seconds since Unix epoch (Unix Timestamp) |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
key |
string | ||
name |
string | yes | |
owner |
object | ||
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
owner.name |
string | ||
owner.url |
string |
Response 200: An API Key
| Field | Type | Description |
|---|---|---|
expires_at |
object | |
expires_at.iso_8601 |
string | IS0 8601-formatted Date |
expires_at.unix |
integer | Seconds since Unix epoch (Unix Timestamp) |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
key |
string | |
name |
string | |
owner |
object | |
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
owner.name |
string | |
owner.url |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
expires_at |
object | ||
expires_at.iso_8601 |
string | yes | IS0 8601-formatted Date |
expires_at.unix |
integer | yes | Seconds since Unix epoch (Unix Timestamp) |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
key |
string | ||
name |
string | yes | |
owner |
object | ||
owner.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
owner.name |
string | ||
owner.url |
string |
Response 422: Unprocessable Entity